Перейти к основному содержанию
Тема: ElkArte 1.1.9  (Прочитано 1462 раз) предыдущая тема - следующая тема

ElkArte 1.1.9

https://www.elkarte.net/community/index.php?topic=6215.0

Яндекс-перевод:
Цитата
Сегодня мы рады выпустить ElkArte 1.1.9. Это 10-я версия в линейке 1.1.

Этот выпуск устраняет все оставшиеся проблемы совместимости с PHP 8.1. В дополнение к полной поддержке PHP 8.x были выявлены и исправлены ошибки, добавлены улучшения в существующую функциональность и включено несколько новых функций. В целом это крупное обновление, предназначенное для устранения разрыва между 1.1 и предстоящей линейкой 2.0.

Конечно, вам рекомендуется обновить эту версию, поскольку она содержит множество исправлений и улучшений, спасибо за вашу постоянную поддержку!

Новые функции и усовершенствования
Быстрая цитата позволяет выбрать текст в сообщении и процитировать только этот выбор при отправке ответа.
Показывать больше цитат - это функция ограничения отображения цитат. Если кто-то процитирует длинный пост, будет показана только часть, если пользователи не выберут текст "показать больше", который накладывается на цитату. Эта длина настраивается в панели администратора.
Поддержка Webp для вложений и аватаров.
Откройте метаданные графика и schema.org микроданные, помогающие в SEO, генерируются и вставляются в выходные данные страницы.
Вложенный уровень глубины цитаты по сравнению с предыдущим поведением да / нет.
Опция сохранения аватаров как и больших пальцев в формате PNG была удалена. Теперь система определит, имеет ли изображение прозрачность, и сохранит соответствующим образом (Webp или, если не включен, то PNG или JPG).

Полный список обновлений см. в примечаниях к выпуску.

Если вы использовали какие-либо исправления бета-версии 1.1.9, вам следует удалить их и установить этот окончательный пакет.
 
Процедура исправления:
Перейдите на страницу https://github.com/elkarte/Elkarte/releases/tag/v1.1.9
Загрузите файл ElkArte_v1-1-9_patch.zip к вашему компьютеру
Перейдите на свой форум: Администратор> Главная> Менеджер пакетов > Загрузить пакет
Нажмите кнопку, чтобы загрузить пакет
Найдите и выберите файл, который вы загрузили в пункте 2
Нажмите кнопку "Загрузить"
Следуйте инструкциям на экране.

Процедура обновления:
Если вы используете предыдущую версию 1.1, у вас есть два варианта
Устанавливайте каждый из файлов исправлений последовательно, пока не получите исправление до версии 1.1.9
Или вы можете использовать полный установочный пакет и перезаписать существующие файлы, а затем запустить программу обновления yourforum/install/update.php (который должен появиться автоматически). Если вы решите использовать полный пакет, настоятельно рекомендуется удалить все дополнения, выполнить обновление, а затем переустановить самую последнюю версию дополнений.

Обязательно проверяйте наличие обновлений для любых аддонов, которые вы используете, многие из них были обновлены для поддержки новых функций 1.1.9.

По любому вопросу, который у вас может возникнуть, не стесняйтесь задавать на форуме поддержки.